## org.eclipse.jet.core.parser
Class DefaultTemplateResolver

    java.lang.Object
      org.eclipse.jet.core.parser.AbstractTemplateResolver
          org.eclipse.jet.core.parser.DefaultTemplateResolver

All Implemented Interfaces:
  ITemplateResolver

    public final class DefaultTemplateResolver

extends AbstractTemplateResolver
implements ITemplateResolver

Default implementation of `ITemplateResolver` that is independent of the Eclipse workspace. By specifying a `ITemplateResolverHelperFactory`, template resolution helpers `ITemplateResolverHelper` instances may be created that leverage knowledge in the eclipse workspace.

Nested Class Summary
`static class` `DefaultTemplateResolver.Builder` Builder for DefaultTemplateResolver

Method Summary
`protected ITemplateInput` `createTemplateInput(java.net.URI baseLocation, java.lang.String templatePath)` Create a Template Input from the give base location and templatePath
`protected boolean` `inputExists(java.net.URI baseLocation, java.lang.String templatePath)` Test whether the template input exists.

Methods inherited from class org.eclipse.jet.core.parser.AbstractTemplateResolver
`getBaseLocations, getIncludedInput, getInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jet.core.parser.ITemplateResolver
`getBaseLocations, getIncludedInput, getInput`

Method Detail

### createTemplateInput

    protected ITemplateInput createTemplateInput(java.net.URI baseLocation,
                                                 java.lang.String templatePath)

  Create a Template Input from the give base location and templatePath

  Specified by:
    `createTemplateInput` in class `AbstractTemplateResolver`
  Parameters:
    `baseLocation` - a base loction
    `templatePath` - a templatePath
  Returns:
    the template input.

### inputExists

    protected boolean inputExists(java.net.URI baseLocation,
                                  java.lang.String templatePath)

  Test whether the template input exists. The default implementation opens in input stream to confirme the existance

  Specified by:
    `inputExists` in class `AbstractTemplateResolver`
  Parameters:
    `baseLocation` - the baseLocation
    `templatePath` - the template path
  Returns:
    `true` if `createTemplateInput(URI, String)`} will succeed, `false` otherwise.

Copyright 2006 IBM Corporation and others. All Rights Reserved.